<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4081
Name: Contract and participant list
Description: Vertrag und Teilnehmerliste
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4081-2015-11-01T000000">
   <title>Contract and participant list</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]
Item: (Contractandparticipantlist)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']"
         id="d110e586-false-d2212e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="@classCode">(Contractandparticipantlist): Attribut @classCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.276.0.76.11.63-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(Contractandparticipantlist): Der Wert von classCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.63' Patient Participation List ActClass (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(Contractandparticipantlist): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4081'])&gt;=1 ">(Contractandparticipantlist): Element hl7:templateId[@root='1.2.276.0.76.10.4081'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4081'])&lt;=1">(Contractandparticipantlist): Element hl7:templateId[@root='1.2.276.0.76.10.4081'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Contractandparticipantlist): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:id)&lt;=1">(Contractandparticipantlist): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(Contractandparticipantlist): Element hl7:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:code)&lt;=1">(Contractandparticipantlist): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:title)&lt;=1">(Contractandparticipantlist): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Contractandparticipantlist): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:templateId[@root='1.2.276.0.76.10.4081']
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:templateId[@root='1.2.276.0.76.10.4081']"
         id="d110e595-false-d2307e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4081')">(Contractandparticipantlist): Der Wert von @root MUSS '1.2.276.0.76.10.4081' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:id
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:id"
         id="d110e602-false-d2325e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:code
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:code"
         id="d110e609-false-d2339e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:title
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:title"
         id="d110e617-false-d2353e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime"
         id="d110e625-false-d2367e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:low)&gt;=1 ">(Contractandparticipantlist): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:low)&lt;=1">(Contractandparticipantlist): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:high)&lt;=1">(Contractandparticipantlist): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime/hl7:low
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime/hl7:low"
         id="d110e630-false-d2402e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime/hl7:high
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime/hl7:high"
         id="d110e632-false-d2416e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']"
         id="d2418e45-false-d2431e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="@typeCode">(Contractparticipant): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.276.0.76.11.64-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(Contractparticipant): Der Wert von typeCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.64' Contract Participant Type Code (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4082'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.4082']/@nullFlavor)">(Contractparticipant): Element hl7:templateId[@root='1.2.276.0.76.10.4082'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4082'])&lt;=1">(Contractparticipant): Element hl7:templateId[@root='1.2.276.0.76.10.4082'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:time)&gt;=1 ">(Contractparticipant): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:time)&lt;=1">(Contractparticipant): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code])&gt;=1 and not(hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]/@nullFlavor)">(Contractparticipant): Element hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code])&lt;=1">(Contractparticipant): Element hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:reasonCode)&lt;=1">(Contractparticipant): Element hl7:reasonCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 ">(Contractparticipant): Element hl7:associatedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(Contractparticipant): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:templateId[@root='1.2.276.0.76.10.4082']
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:templateId[@root='1.2.276.0.76.10.4082']"
         id="d2418e52-false-d2515e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4082')">(Contractparticipant): Der Wert von @root MUSS '1.2.276.0.76.10.4082' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time"
         id="d2418e59-false-d2533e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:low)&gt;=1 ">(Contractparticipant): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:low)&lt;=1">(Contractparticipant): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:high)&lt;=1">(Contractparticipant): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time/hl7:low
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time/hl7:low"
         id="d2418e64-false-d2568e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time/hl7:high
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time/hl7:high"
         id="d2418e66-false-d2582e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d2418e72-false-d2597e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Contractparticipant): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.65 Contract Participant Status Code (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Contractparticipant): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.65 Contract Participant Status Code (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:reasonCode
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:reasonCode"
         id="d2418e84-false-d2625e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.66-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Contractparticipant): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.66 Contract Participant Reason Code (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.66-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Contractparticipant): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.66 Contract Participant Reason Code (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(Contractparticipant): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:reasonCode/hl7:originalText
Item: (Contractparticipant)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity"
         id="d2418e104-false-d2672e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@classCode)=('PAT')">(Contractparticipant): Der Wert von @classCode MUSS 'PAT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Contractparticipant): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:associatedPatient)&gt;=1 ">(Contractparticipant): Element hl7:associatedPatient ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:associatedPatient)&lt;=1">(Contractparticipant): Element hl7:associatedPatient kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:scopingOrganization)&lt;=1">(Contractparticipant): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:id
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:id"
         id="d2418e128-false-d2715e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient"
         id="d2418e133-false-d2729e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@classCode)=('PSN')">(Contractparticipant): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(Contractparticipant): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:name)&gt;=1 ">(Contractparticipant): Element hl7:name ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:name)&lt;=1">(Contractparticipant): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(Contractparticipant): Element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&lt;=1">(Contractparticipant): Element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(Contractparticipant): Element hl7:birthTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:birthTime)&lt;=1">(Contractparticipant): Element hl7:birthTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name"
         id="d2418e160-false-d2783e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:given)&gt;=1 ">(Contractparticipant): Element hl7:given ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:given)&lt;=1">(Contractparticipant): Element hl7:given kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:family)&gt;=1 ">(Contractparticipant): Element hl7:family ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:family)&lt;=1">(Contractparticipant): Element hl7:family kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name/hl7:given
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name/hl7:given"
         id="d2418e162-false-d2821e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name/hl7:family
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name/hl7:family"
         id="d2418e164-false-d2835e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]"
         id="d2418e170-false-d2850e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Contractparticipant): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Contractparticipant): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:birthTime
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:birthTime"
         id="d2418e182-false-d2878e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization"
         id="d2418e193-false-d2892e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@classCode)=('ORG')">(Contractparticipant): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(Contractparticipant): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Contractparticipant): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:id)&lt;=1">(Contractparticipant): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:name)&gt;=1 ">(Contractparticipant): Element hl7:name ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:name)&lt;=1">(Contractparticipant): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="d2418e216-false-d2933e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (Contractparticipant)
-->
</pattern>
