<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.1018
Name: Patient Participation List Document
Description: Patiententeilnehmerverzeichnis
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.1018-2015-11-01T000000">
   <title>Patient Participation List Document</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /
Item: (PatientParticipationListDocument)
-->

   <rule context="/" id="d110e3-false-d174e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018'])&gt;=1 ">(PatientParticipationListDocument): Element hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018'])&lt;=1">(PatientParticipationListDocument): Element hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']
Item: (PatientParticipationListDocument)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']"
         id="d110e67-false-d215e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="string(@classCode)=('DOC')">(PatientParticipationListDocument): Der Wert von @classCode MUSS 'DOC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(PatientParticipationListDocument): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(PatientParticipationListDocument): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:realmCode)&lt;=1">(PatientParticipationListDocument): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(PatientParticipationListDocument): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(PatientParticipationListDocument): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.1018'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.1018']/@nullFlavor)">(PatientParticipationListDocument): Element hl7:templateId[@root='1.2.276.0.76.10.1018'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.1018'])&lt;=1">(PatientParticipationListDocument): Element hl7:templateId[@root='1.2.276.0.76.10.1018'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(PatientParticipationListDocument): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:id)&lt;=1">(PatientParticipationListDocument): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]/@nullFlavor)">(PatientParticipationListDocument): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)])&lt;=1">(PatientParticipationListDocument): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(PatientParticipationListDocument): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:title)&lt;=1">(PatientParticipationListDocument): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(PatientParticipationListDocument): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(PatientParticipationListDocument): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]/@nullFlavor)">(PatientParticipationListDocument): Element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)])&lt;=1">(PatientParticipationListDocument): Element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(PatientParticipationListDocument): Element hl7:languageCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:languageCode)&lt;=1">(PatientParticipationListDocument): Element hl7:languageCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(PatientParticipationListDocument): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:setId)&lt;=1">(PatientParticipationListDocument): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(PatientParticipationListDocument): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(PatientParticipationListDocument): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:component[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']])&gt;=1 and not(hl7:component[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/@nullFlavor)">(PatientParticipationListDocument): Element hl7:component[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:realmCode
Item: (CDArealmCode)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:realmCode"
         id="d240e65-false-d435e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90002-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArealmCode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90002-2013-07-15T000000.html"
              test="@code">(CDArealmCode): Attribut @code MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90002-2013-07-15T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(CDArealmCode): Attribute @code MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@code,' ') return if ($code=('DE')) then ($code) else ())"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90002-2013-07-15T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(CDArealmCode): Der Wert von code MUSS 'Code DE' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (PatientParticipationListDocument)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="d110e75-false-d465e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.1.3')">(PatientParticipationListDocument): Der Wert von @root MUSS '2.16.840.1.113883.1.3' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="string(@extension)=('POMF_HD000001DE')">(PatientParticipationListDocument): Der Wert von @extension MUSS 'POMF_HD000001DE' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:templateId[@root='1.2.276.0.76.10.1018']
Item: (PatientParticipationListDocument)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:templateId[@root='1.2.276.0.76.10.1018']"
         id="d110e90-false-d482e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientParticipationListDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.1018')">(PatientParticipationListDocument): Der Wert von @root MUSS '1.2.276.0.76.10.1018' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:id
Item: (PatientParticipationListDocument)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:id"
         id="d110e97-false-d500e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientParticipationListDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]
Item: (PatientParticipationListDocument)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]"
         id="d110e107-false-d515e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientParticipationListDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientParticipationListDocument): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.67 Patient Participation List Documenttype Codes (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.67-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientParticipationListDocument): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.67 Patient Participation List Documenttype Codes (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90005
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:title"
         id="d517e26-false-d543e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:effectiveTime
Item: (PatientParticipationListDocument)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:effectiveTime"
         id="d110e126-false-d557e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientParticipationListDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(PatientParticipationListDocument): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:low)&lt;=1">(PatientParticipationListDocument): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(PatientParticipationListDocument): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="count(hl7:high)&lt;=1">(PatientParticipationListDocument): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:effectiveTime/hl7:low
Item: (PatientParticipationListDocument)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:effectiveTime/hl7:low"
         id="d110e138-false-d595e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientParticipationListDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:effectiveTime/hl7:high
Item: (PatientParticipationListDocument)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:effectiveTime/hl7:high"
         id="d110e140-false-d609e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientParticipationListDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90007
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]"
         id="d611e20-false-d624e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90007-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16926 HL7 BasicConfidentialityKind (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90007-2012-12-12T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAconfidentialityCode): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16926 HL7 BasicConfidentialityKind (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90008
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:languageCode
Item: (CDAlanguageCode)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:languageCode"
         id="d626e31-false-d652e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90008-2012-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAlanguageCode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS.LANG"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90009
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:setId
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:setId"
         id="d654e25-false-d666e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90009-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90009
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:versionNumber
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:versionNumber"
         id="d654e27-false-d680e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90009-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90009-2012-12-12T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(CDAsetIdversionNumber): value MUSS im Bereich [1..] liegen  </assert>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90009-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(CDAsetIdversionNumber): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author"
         id="d682e76-false-d704e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(HeaderAuthor): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(HeaderAuthor): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:functionCode)&lt;=1">(HeaderAuthor): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:time)&gt;=1 ">(HeaderAuthor): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:time)&lt;=1">(HeaderAuthor): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(HeaderAuthor): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(HeaderAuthor): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:functionCode
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:functionCode"
         id="d682e95-false-d754e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HeaderAuthor): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(HeaderAuthor): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:time
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:time"
         id="d682e100-false-d782e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor"
         id="d682e107-false-d796e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(HeaderAuthor): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(HeaderAuthor): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:code)&lt;=1">(HeaderAuthor): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="$elmcount&gt;=1">(HeaderAuthor): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="$elmcount&lt;=1">(HeaderAuthor): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(HeaderAuthor): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(HeaderAuthor): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(HeaderAuthor): Element hl7:representedOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(HeaderAuthor): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d682e111-false-d885e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:code
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:code"
         id="d682e113-false-d899e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="d682e119-false-d913e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="d682e123-false-d928e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(HeaderAuthor): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(HeaderAuthor): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="d938e18-false-d955e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="d682e128-false-d969e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="string(@classCode)=('DEV') or not(@classCode)">(HeaderAuthor): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(HeaderAuthor): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:manufacturerModelName)&gt;=1 ">(HeaderAuthor): Element hl7:manufacturerModelName ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(HeaderAuthor): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:softwareName)&gt;=1 ">(HeaderAuthor): Element hl7:softwareName ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:softwareName)&lt;=1">(HeaderAuthor): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="d682e134-false-d1010e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="d682e136-false-d1024e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderAuthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2002
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (HeaderAuthor)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="d682e141-false-d1039e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(HeaderAuthor): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(HeaderAuthor): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderAuthor): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderAuthor): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2002-2013-07-10T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderAuthor): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="d1049e24-false-d1090e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="d1049e29-false-d1104e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="d1049e33-false-d1118e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="d1049e37-false-d1132e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian
Item: (HeaderCustodian)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian"
         id="d1134e20-false-d1146e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="string(@typeCode)=('CST') or not(@typeCode)">(HeaderCustodian): Der Wert von @typeCode MUSS 'CST' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(HeaderCustodian): Element hl7:assignedCustodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(HeaderCustodian): Element hl7:assignedCustodian kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian
Item: (HeaderCustodian)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian"
         id="d1134e40-false-d1171e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(HeaderCustodian): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:representedCustodianOrganization)&gt;=1 and not(hl7:representedCustodianOrganization/@nullFlavor)">(HeaderCustodian): Element hl7:representedCustodianOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(HeaderCustodian): Element hl7:representedCustodianOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (HeaderCustodian)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="d1134e46-false-d1196e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(HeaderCustodian): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(HeaderCustodian): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:id)&gt;=1 ">(HeaderCustodian): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:id)&lt;=1">(HeaderCustodian): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderCustodian): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderCustodian): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderCustodian): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (HeaderCustodian)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="d1134e54-false-d1252e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (HeaderCustodian)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="d1134e59-false-d1266e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (HeaderCustodian)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="d1134e63-false-d1280e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2004
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (HeaderCustodian)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="d1134e67-false-d1294e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderCustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2005
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient
Item: (HeaderInformationRecipient)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient"
         id="d1296e79-false-d1308e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(HeaderInformationRecipient): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('PRCP','TRC')) then ($code) else ())"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(HeaderInformationRecipient): Der Wert von typeCode MUSS 'Code PRCP oder Code TRC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:intendedRecipient)&gt;=1 and not(hl7:intendedRecipient/@nullFlavor)">(HeaderInformationRecipient): Element hl7:intendedRecipient ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:intendedRecipient)&lt;=1">(HeaderInformationRecipient): Element hl7:intendedRecipient kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2005
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient
Item: (HeaderInformationRecipient)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient"
         id="d1296e96-false-d1349e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(HeaderInformationRecipient): Element hl7:id ist required [min 1x].</assert>
      <let name="elmcount"
           value="count(hl7:informationRecipient|hl7:receivedOrganization)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="$elmcount&gt;=1">(HeaderInformationRecipient): Auswahl (hl7:informationRecipient oder hl7:receivedOrganization) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:informationRecipient)&lt;=1">(HeaderInformationRecipient): Element hl7:informationRecipient kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:receivedOrganization)&lt;=1">(HeaderInformationRecipient): Element hl7:receivedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2005
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:id
Item: (HeaderInformationRecipient)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:id"
         id="d1296e98-false-d1406e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderInformationRecipient): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2005
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: (HeaderInformationRecipient)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient"
         id="d1296e108-false-d1421e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(HeaderInformationRecipient): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(HeaderInformationRecipient): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderInformationRecipient): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderInformationRecipient): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name
Item: (PersonElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name"
         id="d1431e22-false-d1454e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2005
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization
Item: (HeaderInformationRecipient)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization"
         id="d1296e113-false-d1469e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(HeaderInformationRecipient): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(HeaderInformationRecipient): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderInformationRecipient): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderInformationRecipient): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.2005-2013-07-10T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderInformationRecipient): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id"
         id="d1479e24-false-d1520e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:name
Item: (OrganizationElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:name"
         id="d1479e29-false-d1534e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:telecom"
         id="d1479e33-false-d1548e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:addr"
         id="d1479e37-false-d1562e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.1018
Context: /hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:component[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]
Item: (PatientParticipationListDocument)
-->
   <rule context="/hl7:PatientParticipationListDocument[hl7:templateId/@root='1.2.276.0.76.10.1018']/hl7:component[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(PatientParticipationListDocument): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160610T151656/tmp-1.2.276.0.76.10.1018-2015-11-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PatientParticipationListDocument): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
</pattern>
